To run Tasty Pins, your website must run on WordPress version 4.4+ and PHP 5.3+. If you are unsure of your PHP version, ask your host. Most popular hosting companies will be using an acceptable version of PHP for WordPress sites. Tasty Pins works with all modern browsers and devices.

Did this answer your question?